Skip to main content
GET
/
organizations
/
{organizationId}
/
teams
List Teams
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/teams \
  --header 'Authorization: Bearer <token>'
{
  "limit": 10,
  "offset": 0,
  "teams": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "id": "clma5ftgk000008mhgev00k7d",
      "isIdpManaged": false,
      "name": "My Team",
      "organizationId": "clma5g8q6000108mh88g27k1y",
      "organizationRole": "ORGANIZATION_MEMBER",
      "updatedAt": "2022-11-22T04:37:12Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "dagRoles": [
        {
          "deploymentId": "clm8t5u4q000008jq4qoc3031",
          "role": "DAG_VIEWER",
          "dagId": "my_dag",
          "dagTag": "team-a"
        }
      ],
      "deploymentRoles": [
        {
          "deploymentId": "clm8t5u4q000008jq4qoc3031",
          "role": "DEPLOYMENT_ADMIN"
        }
      ],
      "description": "My Team description",
      "rolesCount": 1,
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "workspaceRoles": [
        {
          "role": "WORKSPACE_MEMBER",
          "workspaceId": "clm8t5u4q000008jq4qoc3036"
        }
      ]
    }
  ],
  "totalCount": 100
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

ID of the Organization to list Teams for.

Query Parameters

names
string[]

A list of names for Teams to filter by. The API returns details only for the specified Teams.

offset
integer
default:0

Offset for pagination

Required range: x >= 0
limit
integer
default:20

Limit for pagination

Required range: 0 <= x <= 1000
sorts
enum<string>[]

Sorting criteria, each criterion should conform to format 'fieldName:asc' or 'fieldName:desc'

Available options:
name:asc,
name:desc,
description:asc,
description:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

limit
integer
required

The maximum number of Teams in one page.

Example:

10

offset
integer
required

The offset of the current page of Teams.

Example:

0

teams
object[]
required

The list of Teams in the current page.

totalCount
integer
required

The total number of Teams.

Example:

100